/Users/bernard/b20/bsoft/tcltk/tcltk_bxtal.cpp(3)

NAME
/Users/bernard/b20/bsoft/tcltk/tcltk_bxtal.cpp - A shared object to manage micrograph parameter files in TCL/Tk.

SYNOPSIS

#include <tk.h>
#include 'tcltk_bxtal.h'
#include 'mg_xtal.h'
#include 'linked_list.h'
#include 'timer.h'
#include 'utilities.h'
#include <sys/stat.h>

  Functions
Tcl_Obj * spot_count (Bmicrograph *mg)
Tcl_Obj * spot_ids (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * spot_reindex (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * spot_location (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * spot_fom (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * spot_select (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * spot_move (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * spot_create (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * spot_delete (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * spot_unitcell_vectors (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * spot_generate (Bmicrograph *mg, Bimage *p, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * spot_mask (Bmicrograph *mg, Bimage *p, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * do_spot (Bproject *project, int objc, Tcl_Obj *CONST objv[])

  Variables
int verbose
Bimage * imglist

Detailed Description

A shared object to manage micrograph parameter files in TCL/Tk.

Author:
    Bernard Heymann

Date:
    Created: 20030813

    Modified: 20181030

Definition in file tcltk_bxtal.cpp.

Function Documentation

  Tcl_Obj* do_spot (Bproject * project, int objc, Tcl_Obj *CONST objv[])

Definition at line 68 of file tcltk_bxtal.cpp.

  Tcl_Obj * spot_count (Bmicrograph * mg)

Definition at line 154 of file tcltk_bxtal.cpp.

  Tcl_Obj * spot_create (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 348 of file tcltk_bxtal.cpp.

  Tcl_Obj * spot_delete (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 384 of file tcltk_bxtal.cpp.

  Tcl_Obj * spot_fom (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 249 of file tcltk_bxtal.cpp.

  Tcl_Obj * spot_generate (Bmicrograph * mg, Bimage * p, int objc, Tcl_Obj *CONST objv[])

Definition at line 428 of file tcltk_bxtal.cpp.

  Tcl_Obj * spot_ids (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 169 of file tcltk_bxtal.cpp.

  Tcl_Obj * spot_location (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 222 of file tcltk_bxtal.cpp.

  Tcl_Obj * spot_mask (Bmicrograph * mg, Bimage * p, int objc, Tcl_Obj *CONST objv[])

Definition at line 446 of file tcltk_bxtal.cpp.

  Tcl_Obj * spot_move (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 314 of file tcltk_bxtal.cpp.

  Tcl_Obj * spot_reindex (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 189 of file tcltk_bxtal.cpp.

  Tcl_Obj * spot_select (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 273 of file tcltk_bxtal.cpp.

  Tcl_Obj * spot_unitcell_vectors (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 419 of file tcltk_bxtal.cpp.

Variable Documentation

  Bimage* imglist

Definition at line 30 of file bshow.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.